<?LassoScript 
// ==================================
/*
	Lasso & jQuery example response script
*/
// ==================================

// set the content type for Lasso to send back 
// so the browser can recognize this as JSON / XHR
content_type('text/javascript')

// create the map that will be used to encode as JSON
local(json = map)

// create the array to load items into to return 
local(itemarray = array)

// assign to a variable the groceryCategory POST param 
// submitted as part of the AJAX POST request
local(category = action_param('groceryCategory'))

// logic to determine what we wish to return
if(#category == 'vegetables') => {

	// add the items to the array
	#itemarray->insert('Carrot')
	#itemarray->insert('Potato')
	#itemarray->insert('Cucumber')
	#itemarray->insert('Tomato')
	#itemarray->insert('Leek')
	#itemarray->insert('Lettuce')
	#itemarray->insert('Peppers')
	#itemarray->insert('Peas')
	#itemarray->insert('Beans')

else(#category == 'juices')
	#itemarray->insert('Pineaple Juice')
	#itemarray->insert('Apple Juice')
	#itemarray->insert('Pear Juice')
	#itemarray->insert('Carrot Juice')
	#itemarray->insert('Grape Juice')
	#itemarray->insert('Mango Juice')

else(#category == 'bread')
	#itemarray->insert('Rye Bread')
	#itemarray->insert('White Bread')
	#itemarray->insert('Wholegrain Bread')
	#itemarray->insert('Sourdough')
	#itemarray->insert('French Bread')
	#itemarray->insert('Paninni')

else
	#itemarray->insert('No results.')
}

// insert the data to return into a map 
// ready to be converted to JSON
#json->insert('items'= #itemarray->join('<br />'))

// convert the map to a JSON string
local(xout = json_serialize(#json))

// It's a good practice to always trim whitespace 
// from the return string
#xout->trim

// output the JSON string to the document 
// to be returned to the browser
#xout

?>